PDA

View Full Version : Insufficient Gl Support



12-01-2001, 05:04 PM
I foolishly updated my display drivers from Nvidia 21.81 to 21.83 and now the programs I've been writing won't run. I get a "Insufficient GL Support" message when I try to run them. I'm running WinME and I have a Leadtek Geforce3 TD. Any help is greatly appreciated. BTW, I'm programming with Visual Studio 6 and FLTK.

Cheers
Nord http://www.opengl.org/discussion_boards/ubb/smile.gif

dorbie
12-01-2001, 05:48 PM
Insufficient GL Support? Well if you wrote the programs you should instantly be able to tell where *your code* generates this error. Unless the problem is in FLTK, but that's a simple GUI using vanilla OpenGL so it should just work.

12-01-2001, 06:52 PM
The programs worked before I updated my display drivers. I believe the problem lies with Windows, but I could be wrong. (Black & White still runs.)

Spiral Man
12-02-2001, 02:01 PM
have you re-compiled the programs since you updated the drivers? since they most likely were compiled dynamically, it could be a real problem if you havent, especially if the drivers changed a lot (like from openGL 1.2 to 1.3)

12-03-2001, 04:42 AM
Yes, I have re-compiled my programs as well as FLTK. However, neither helped. I'm wondering if I should re-install Visual Studio or Windows.

Shag
12-03-2001, 03:46 PM
I'm running the same drivers on a GF2 at the moment - I'd happily try to compile it on my machine if you want to mail me

mark.shaxted@btinternet.com

It certainly is NOT a windows problem, nor a visual studio one either.

At which point does this message appear? When creating the window, setting the pixel format, changing the display settings etc.

Please give as much information as possible.

Regards

dorbie
12-03-2001, 06:28 PM
Nord,

I'm not aware of any routine that generates this error. The key is to track down what part of the code is doing this. I suspect the gl drawing area widget (if there is one) so look at the type of framebuffer resources you try and request, and search your code for and stuff that looks for extensions. Look at the source code for FLTK for the error. In maybe some extension string that's been promoted to a core or ARB feature that's bitten you. I still strongly suspect that this is in your code.

Shag
12-03-2001, 07:12 PM
Yeah - I agree. Setting an inapropriate window resolution wouldn't give this error. The PixelFormat will give the closest match, so that is ruled out.

What the hell are you trying to do? I'm intrigued ...

[This message has been edited by Shag (edited 12-03-2001).]

dorbie
12-03-2001, 10:57 PM
Depends how the PFD is selected, if some type of application driven enumeration is used with a search the application code (or FLTK) might fail and abort instead of selecting the nearest. It would be poor practice, but it is possible.

12-04-2001, 04:18 AM
I don't see how this could possibly be a problem with my programs. They compile and run on the university's machines fine. Plus, they were working prior to my driver update.

dorbie
12-04-2001, 09:37 AM
Your system at Uni may support different extensions and framebuffer formats.

Take the advice, OpenGL does not issue the error you see. It is in the code you wrote or in FLTK, now go look for the error string.

dorbie
12-04-2001, 09:40 AM
Hang on a minute, are you using other libraries, like the NVIDIA programmable shader stuff? This may be the problem, I think this is the error you get when it thinks you don't have programmable shader support.

Is that an official driver you have installed?